// Manual plate leveling washer for Elegoo Saturn 4
// Copyright (C) 2024 Chris Osgood
// Released under Attribution-NonCommercial-ShareAlike 4.0 International
// https://gurumeditation.org

$lift = 0.25;

$height = 2;
$diameter = 7.5;
$font_depth = 0.2;
$screw_diameter = 4.1;
$pin_diameter = 6.05;

$fn = 250;

difference() {
    cylinder(h=$height, d=$diameter);
    translate([0,0,$height-$lift])
        cylinder(h=$lift, d=$pin_diameter);
    cylinder(h=$height, d=$screw_diameter);

    intersection() {
        rotate([90,180,0])
        translate([0, -1.7, 0])
        linear_extrude(height = 4)
            text(str($lift*100), size=1.5, font="Mono", halign="center");
        
        difference() {
            cylinder(h=$height, d=$diameter);
            cylinder(h=$height, d=$diameter-$font_depth);
        }
    }
}
